Package samples.mediators

# Class DiscountQuoteMediator

java.lang.Object
org.apache.synapse.mediators.AbstractMediator
samples.mediators.DiscountQuoteMediator

All Implemented Interfaces:
  `org.apache.synapse.aspects.AspectConfigurable`, `org.apache.synapse.Mediator`, `org.apache.synapse.SynapseArtifact`

public class DiscountQuoteMediator extends org.apache.synapse.mediators.AbstractMediator

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.mediators.AbstractMediator

  `trace, traceState`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscountQuoteMediator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBonusFor()`
  `String`
  `getDiscountFactor()`
  `int`
  `getTraceState()`
  `String`
  `getType()`
  `boolean`
  `mediate(org.apache.synapse.MessageContext mc)`
  `void`
  `setBonusFor(String bonus)`
  `void`
  `setDiscountFactor(String discount)`
  `void`
  `setTraceState(int traceState)`

  ### Methods inherited from class org.apache.synapse.mediators.AbstractMediator

  `auditLog, auditWarn, configure, disableStatistics, disableTracing, divertMediationRoute, enableStatistics, enableTracing, getArtifactIdentifier, getAspectConfiguration, getCommentsList, getDescription, getInputType, getLastSequenceFaultHandler, getLog, getMediatorId, getMediatorName, getMediatorPosition, getOutputType, getRegisteredMediationFlowPoint, getShortDescription, handleException, handleException, isBreakPoint, isContentAltering, isContentAware, isSkipEnabled, isStatisticsEnable, isTraceOn, isTraceOrDebugOn, isTracingEnabled, registerMediationFlowPoint, reportCloseStatistics, reportCloseStatisticsWithError, reportOpenStatistics, setArtifactIdentifier, setBreakPoint, setCommentsList, setComponentStatisticsId, setDescription, setEffectiveTraceState, setMediatorId, setMediatorPosition, setShortDescription, setSkipEnabled, shouldCaptureTracing, shouldTrace, shouldTrace, traceOrDebug, traceOrDebugWarn, unregisterMediationFlowPoint`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscountQuoteMediator

    public DiscountQuoteMediator()

- ## Method Details

  - ### mediate

    public boolean mediate(org.apache.synapse.MessageContext mc)

  - ### getType

    public String getType()
    Specified by:
      `getType` in interface `org.apache.synapse.Mediator`
    Overrides:
      `getType` in class `org.apache.synapse.mediators.AbstractMediator`

  - ### setTraceState

    public void setTraceState(int traceState)
    Specified by:
      `setTraceState` in interface `org.apache.synapse.Mediator`
    Overrides:
      `setTraceState` in class `org.apache.synapse.mediators.AbstractMediator`

  - ### getTraceState

    public int getTraceState()
    Specified by:
      `getTraceState` in interface `org.apache.synapse.Mediator`
    Overrides:
      `getTraceState` in class `org.apache.synapse.mediators.AbstractMediator`

  - ### setDiscountFactor

    public void setDiscountFactor(String discount)

  - ### getDiscountFactor

    public String getDiscountFactor()

  - ### setBonusFor

    public void setBonusFor(String bonus)

  - ### getBonusFor

    public String getBonusFor()